This reference covers Eden's ATI (Adam tool interface) endpoints. ATI servers expose tool APIs that can be used by LLM clients and automation.
Each database endpoint can expose one or more ATI servers. Clients discover the available servers, then connect using the streamable HTTP transport. Streamable HTTP uses:
Get the ATI servers available for an endpoint.
GET /api/v1/endpoints/{id}/tools
Authorization: Bearer <token>curl http://{host}:8000/api/v1/endpoints/{id}/tools \
-H "Authorization: Bearer $TOKEN"{
"servers": [
{
"name": "mongodb",
"description": "MongoDB ATI server"
}
]
}Use the ATI server name to connect over streamable HTTP.
/api/v1/endpoints/{id}/tools/{tools_server}POST requests:
Authorization: Bearer Accept: application/json, text/event-streamContent-Type: application/jsonGET requests:
Authorization: Bearer Accept: text/event-streamSession headers:
Last-Event-Id is optional and used to resume SSE streamsBase URL:
/api/v1/tools/migrationsThis server exposes migration management tools over ATI. Use the same streamable HTTP headers and session flow described above.
Available tools:
list_migrations (optional verbose, updated_since, status, limit, cursor)get_migration (migration_id, optional verbose)define_migration (id, optional description, strategy, data, failure_handling, optional apis, optional interlays)run_migration (migration_id, mode = test|migrate, optional wait)